Páginas

sábado, 29 de septiembre de 2012

Cómo instalar GNOME 3.6 en openSUSE 12.2

El pasado 26 de septiembre el proyecto GNOME anunció la publicación de la tercera actualización de GNOME 3.0, lanzamiento publicado originalmente en abril de 2011.

Esta versión de GNOME 3 es el resultado de seis meses de esfuerzo de desarrollo e incorpora importantes nuevas características, aplicaciones actualizadas y mejoras significativas en la experiencia de usuario.

Puedes obtener más información sobre las características de esta versión en las notas de publicación, que están disponibles en español.


GNOME 3.6 ya se encuentra disponible para los usuarios de openSUSE 12.2 en los repositorios semioficiales de GNOME. Los pasos para actualizar son los siguientes. Debes copiar y ejecutar, como superusuario, los comandos de cada paso en el terminal.

1. Actualizar la distribución con los parches disponibles.

zypper patch

Si es necesario, repetir el procedimiento anterior hasta que no quede nada por hacer.

2. Añadir el nuevo repositorio de GNOME 3.6.

zypper ar -f http://download.opensuse.org/repositories/GNOME:/STABLE:/3.6/openSUSE_12.2 GNOME36

3. Actualizar la distribución desde el nuevo repositorio.

zypper dup --from GNOME36

Este procedimiento ha sido probado en instalaciones limpias de openSUSE 12.2 y se considera que funciona razonablemente bien. Hay pequeños detalles que pulir en los que los desarrolladores siguen trabajando. Por eso, el repositorio puede recibir actualizaciones en los próximos días.  No se han hecho pruebas con repositorios no oficiales habilitados. Se puede informar de cualquier problema digno de mención por correo electrónico (opensuse-gnome [at] opensuse.org).

Esta nueva versión de GNOME en openSUSE tiene el aspecto siguiente:

Gestor de sesiones de GNOME 3.6 en openSUSE.

Sesión por defecto de GNOME 3.6 en openSUSE.

Fuente:

6 comentarios:

  1. Anónimo1/10/12 3:22

    buen post amigo,tambien eh visto gnome 3.6 en http://gnuinformation.blogspot.com/2012/09/gnome-36-disponible.html?showComment=1349054459803#c3432113603823512987

    ResponderEliminar
  2. Hice mi actualizacion a gnome 3.6 pero hay algunas cosas que no funcionan.
    Por ejemplo totem .. hay una mezcla de gstreame 0.10 y 1.0 y me imagino
    que el totem(Videos) se pierde... el rhytmbox se cierra al darle a cualquier menu
    ahora estoy con el 3.4 pero quiero instalar el 3.6 que debo hacer para que
    funcione correctamente

    ResponderEliminar
  3. Hola.

    No indicas si tenías activados otros repositorios, como Packman, cuando actualizaste. Esta actualización ha sido probado sin repositorios de terceros activados. Respecto a GStreamer, desistala la versión que no necesites, o sea, "desmezcla" las versión desde YaST.

    Respecto al reproductor de medios, yo prefiero SMPlayer que Totem. Es más rápido, con más características y lo reproduce todo.

    Un saludo.

    ResponderEliminar
  4. Gracias..
    Efectivamente tenia activado el packman
    cdo hice el upgrade anterior....Ahora probare desactivando el packman y upgradeando y luego volvere a activar el Packaman.
    Aunque juraria que en la actualizacion anterior intente eliminar el gstreamer 0.10 y me dio muchos problemas de dependencias...



    ResponderEliminar
  5. Acabo de upgradear a 3.6 y el problema persiste... no puedo desinstalar gstreamer-0_10 por que por dependencias quiere eliminar una lista enorme de paquetes.. aqui va el otput

    zypper rm gstreamer-0_10

    The following NEW package is going to be installed:
    transmission

    The following packages are going to be REMOVED:
    aisleriot banshee banshee-backend-engine-gstreamer banshee-backend-io-gio banshee-backend-platform-gnome banshee-backend-platform-unix banshee-core banshee-dmp
    banshee-dmp-apple-devices banshee-dmp-mtp banshee-extensions-default brasero brasero-nautilus canberra-gtk-play cheese empathy evolution evolution-tray gdm gdm-branding-openSUSE
    gnome-bluetooth-plugin-phone-manager gnome-control-center gnome-control-center-branding-openSUSE gnome-games-recommended gnome-panel-applet-tracker gnome-phone-manager
    gnome-screenshot gnome-session gnome-session-default-session gnome-session-fallback-session gnome-settings-daemon gnome-shell gnome-shell-browser-plugin
    gnome-shell-extension-alternative-status-menu gnome-shell-extensions-common gnome-shell-search-provider-contacts gnome-shell-search-provider-documents
    gnome-shell-search-provider-nautilus gnome-tweak-tool gnome-user-share gstreamer-0_10 gstreamer-0_10-libnice gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugin-gstclutter
    gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-base gstreamer-0_10-plugins-farstream gstreamer-0_10-plugins-ffmpeg gstreamer-0_10-plugins-fluendo_mp3 gstreamer-0_10-plugins-good
    gstreamer-0_10-plugins-ugly gstreamer-0_10-plugins-ugly-orig-addon gstreamer-0_10-utils hplip iagno libbrasero-burn3-1 libcanberra0 libcanberra-gtk0 libcanberra-gtk2-module
    libcanberra-gtk3-0 libcanberra-gtk3-module libcheese3 libcheese-gtk21 libcheese-gtk23 libclutter-gst-1_0-0 libdmapsharing-3_0-2 libfarstream-0_1-0 libgstapp-0_10-0
    libgstbasecamerabinsrc-0_10-23 libgstbasevideo-0_10-23 libgstcodecparsers-0_10-23 libgstinterfaces-0_10-0 libgstphotography-0_10-23 libgstreamer-0_10-0 libgstsignalprocessor-0_10-23
    libgstvdp-0_10-23 libmutter0 libpurple libpurple-branding-openSUSE libpurple-plugin-sipe libpurple-tcl libQtWebKit4 libreoffice libreoffice-base libreoffice-calc libreoffice-draw
    libreoffice-filters-optional libreoffice-gnome libreoffice-help-en-US libreoffice-impress libreoffice-mailmerge libreoffice-math libreoffice-pyuno libreoffice-writer
    libtelepathy-farstream2 metacity MozillaFirefox mutter mutter-data nautilus-extension-tracker-tags nautilus-sendto-plugin-empathy notification-daemon orca PackageKit-gstreamer-plugin
    patterns-openSUSE-gnome patterns-openSUSE-gnome_basis patterns-openSUSE-gnome_imaging patterns-openSUSE-gnome_laptop patterns-openSUSE-gnome_office patterns-openSUSE-gnome_utilities
    phonon-backend-gstreamer-0_10 pidgin pidgin-evolution pidgin-sipe python-gstreamer-0_10 python-qt4 quadrapassel shotwell smolt-gui telepathy-haze tracker tracker-gui
    tracker-miner-evolution tracker-miner-files tracker-miner-firefox transmission-gtk typelib-1_0-ClutterGst-1_0 typelib-1_0-Gst-0_10 typelib-1_0-GstInterfaces-0_10 typelib-1_0-Meta-3_0
    unoconv

    The following packages are going to be downgraded:
    gnome-contacts grilo-plugins

    The following packages are going to change vendor:
    gnome-contacts obs://build.opensuse.org/GNOME -> openSUSE
    grilo-plugins obs://build.opensuse.org/GNOME -> openSUSE


    2 packages to downgrade, 1 new, 131 to remove, 2 to change vendor.
    Overall download size: 778.4 KiB. After the operation, 553.7 MiB will be freed.
    Continue? [y/n/p/?] (y^C

    ResponderEliminar
    Respuestas
    1. ¿Y si eliminas gstreamer 1.0 y te quedas con la versión 0.10?

      Eliminar